Bug 245169 - Xen: Windows HVM guest image installed under VT cause blue screen if booted on AMD-V
Xen: Windows HVM guest image installed under VT cause blue screen if booted o...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.0
x86_64 Other
urgent Severity urgent
: ---
: ---
Assigned To: Xen Maintainance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-21 09:47 EDT by Tom Woller
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:53:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xen-unstable c/s 15277 upstream accepted patch for solution (1.99 KB, patch)
2007-06-21 09:47 EDT, Tom Woller
no flags Details | Diff

  None (edit)
Description Tom Woller 2007-06-21 09:47:03 EDT
Description of problem:
Xen: Windows HVM guests installed under VT cause blue screen if moved over to 
AMD machine and booted.  Installing under AMD-V and moving the image to a VT 
box functions without issue. 
There is an Intel specific MSR that is accessed by Intel specific drivers, 
these drivers are retained and not uninstalled automatically when booting on 
an AMD machine.
The solution is to virtualize this single MSR (EBC_FREQUENCY_ID) under AMD, 
and return 0.
The solution only affects AMD machines, and does not impact any functionality 
on VT boxes.  The solution only impacts reads of this Intel specific register 
on an AMD-V machine.

Version-Release number of selected component (if applicable):
xen 3.x has this issue.  solution is in xen-unstable c/s 15277 (patch 
attached).

How reproducible:
Install Windows 2003 32bit on a 64b hypevisor.  we have not tested all windows 
HVM guests and bitness combinations, but winxp and win2003 fail.

Steps to Reproduce:
1. install xen 3.x (not xen-unstable >= 15277 c/s) on VT and AMD-V box
2. install win2k3 HVM guest on AMD-V box (qcow or loopback is fine)
3. copy the resulting disk image from AMD-V box to VT box 
4. boot/startup (xm create, etc) the HVM win2k3 guest on the VT box
5. Blue screen during boot
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom Woller 2007-06-21 09:47:04 EDT
Created attachment 157533 [details]
xen-unstable c/s 15277 upstream accepted patch for solution
Comment 2 Tom Woller 2007-06-21 09:53:05 EDT
Steps to Reproduce:
1. install xen 3.x (not xen-unstable >= 15277 c/s) on VT and AMD-V box
2. install win2k3 HVM guest on VT box (qcow or loopback is fine)
3. copy the resulting disk image from VT box to AMD-V box 
4. boot/startup (xm create, etc) the HVM win2k3 guest on the AMD-V box
5. Blue screen during boot

corrected steps to reproduct.  VT AMD-V machines inadvertently switched in 
original steps.
Comment 3 Bhavna Sarathy 2007-06-21 10:21:13 EDT
This is the patch that Tom discussed with Brian on Tuesday's meeting.   Brian, I
realize it's late in 5.1, but please let us know if you will have your folks
review and accept this patch.
Comment 4 Bhavna Sarathy 2007-06-21 11:38:15 EDT
Russ, svm.c is an AMD specific file and setting the Intel defined MSR to 0 in
the AMD code patch will not affect Intel adversely.  

Please escalate and have this patch applied to 5.1.
Comment 5 Russell Doty 2007-06-21 11:45:40 EDT
Request blocker - this bug prevents migration of virtual machines from Intel
platform to AMD platform. The patch is a small change in an AMD only code path
to prevent a crash.
Comment 7 RHEL Product and Program Management 2007-06-21 11:54:44 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Don Zickus 2007-07-10 12:21:48 EDT
in 2.6.18-33.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 12 errata-xmlrpc 2007-11-07 14:53:53 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html

Note You need to log in before you can comment on or make changes to this bug.